Get scenario model by token
curl --request GET \
--url https://api.vantage.sh/v2/scenario_models/{scenario_model_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/scenario_models/{scenario_model_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/scenario_models/{scenario_model_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "frcst_mdl_a7684dd8104260da",
"title": "Hiring Plan",
"priority": 2,
"workspace_token": null,
"provider": null,
"service": null,
"periods": [
{
"start_at": "2026-01-01",
"end_at": "2026-03-31",
"amount": "1250.75",
"amount_type": "dollar"
}
],
"created_by_token": "usr_2943707386442e61",
"created_at": "2026-07-28T15:37:49Z",
"updated_at": "2026-07-28T15:37:49Z"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}ScenarioModels
Get scenario model by token
Return a ScenarioModel.
GET
/
scenario_models
/
{scenario_model_token}
Get scenario model by token
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Return a ScenarioModel.
ScenarioModel model
Show child attributes
Show child attributes
⌘I